MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009323mantisbtbugtrackerpublic2008-07-01 06:042013-11-02 04:45
Reporterpolzin 
Assigned Tojreese 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1.2 
Target Version1.1.3Fixed in Version1.1.3 
Summary0009323: Browser caching broken since 1.1.2
DescriptionSince I upgraded from 1.1.1 to 1.1.2 browser caching does not work any longer.
You can try out at this bugtracker and the demo bugtracker http://www.futureware.biz/mantisdemo/bug_report_advanced_page.php, [^] which is currently 1.1.1.

1. Go to Report Issue (the demo has disabled caching otherwise)
2. Scroll down a little, enter some summary
3. Click on "Docs" in the top.
4. Use browser "back"

In 1.1.1 the page is immediately displayed and the scroll-position and the entered text is preserved.

In 1.2.0a (and in 1.1.2 at my site) the page is reloaded, the scroll-position and entered text is gone.

I believe, the reason is that in 1.1.2 core.php requires session_api.php. And session_init() stops caching. To prevent that, one can use session_cache_limiter, see patch and links.

http://www.php.net/manual/en/function.session-start.php#70033 [^]
http://www.php.net/manual/en/function.session-cache-limiter.php#82174 [^]

BTW: I noticed that sessions_api.php has no "?>" at the end of the file. I am not a php programmer and I am unsure if this is right, as some *_api.php have it, other haven't.
Tagspatch
Attached Filespatch file icon session.patch [^] (515 bytes) 2008-07-01 06:04 [Show Content]
patch file icon bug_report_page.patch [^] (1,828 bytes) 2008-08-25 08:56 [Show Content]

- Relationships
has duplicate 0009366closedryandesign Page content in 'Report Issue' is forgotten when user clicks [Back] button in browser 
has duplicate 0006736closedjreese Mantis - application error #11 
has duplicate 0009569closedjreese Pages will not refresh in IE6 
has duplicate 0009631closedryandesign Loss of data on back.. 
has duplicate 0009554closedjreese Within a proxy enviroment users get the screens of other users 
has duplicate 0009655closedryandesign Forms > Informations not saved 
has duplicate 0009689closedgiallu Missing needed fields clear forces error and when back on mask, every fields are cleared 
has duplicate 0009729closedjreese Report Issue: Back results in empty form when a required field was missing 
has duplicate 0008161closedjreese While reporting issue, if you forget a field, all fields are emptied 
related to 0009576closedjreese Problem in downloading file 
related to 0009813acknowledged Redesign forms in Mantis to not need the Back Button for mistakes. 
related to 0012492closedatrol Complete input get lost when timeout or not filling all required fields (when using ssl/https) 
related to 0016570resolvedgrangeway Page content in 'Report Issue' is forgotten when user clicks [Back] button in browser 

-  Notes
User avatar (0018256)
polzin (reporter)
2008-07-01 06:49

Sorry, this patch introduces other problems, e.g., project switching does not work any longer. :-(
User avatar (0018257)
polzin (reporter)
2008-07-01 06:55

I tested with firefox 2.0.14 and 3.0.
User avatar (0018258)
polzin (reporter)
2008-07-01 07:22

Perhaps the problem is not only a "minor" problem, because the handling of errors (e.g. Required field "XXX" is missing. Please use the "Back" button in your web browser to return to the previous page.) depends on it.
User avatar (0018264)
ryandesign (reporter)
2008-07-01 17:06

Regarding "BTW: I noticed that sessions_api.php has no "?>" at the end of the file. I am not a php programmer and I am unsure if this is right, as some *_api.php have it, other haven't.": PHP adds "?>" at the end of the file if it's not there. Some programmers even advocate omitting "?>" at the end of files, since it guarantees that you can't have stray whitespace after the "?>" which could otherwise cause problems.
User avatar (0018342)
polzin (reporter)
2008-07-08 09:42

Any update on this?
User avatar (0018343)
jreese (administrator)
2008-07-08 10:36

It's being investigated, and will make it's way in as soon as the problem/fix is verified and tested.
User avatar (0018655)
baamster (reporter)
2008-07-24 03:03

Is there any news yet about this issue? Seems a very significant one (since usability has degraded a lot.... :().
User avatar (0018882)
Marnix (reporter)
2008-07-28 17:57

50 US if this issue is fixed before the end of August.
User avatar (0018919)
jreese (administrator)
2008-07-30 08:41

Issue resolved in SVN: 1.1.x in r5457 and r5460; trunk in r5458, r5459, and r5461.

This fixes the sessions issue, resolves problems with Firefox 3 caching disabled button states, and resolves the issues when trying to switch projects from a cached page.
User avatar (0018924)
polzin (reporter)
2008-07-30 09:24

Thanks, jreese. Is there a ETA for 1.1.3 to be released?
User avatar (0018950)
GESHH (reporter)
2008-07-31 04:58
edited on: 2008-07-31 05:17

Did you test it with IE6?
I've got some problems with it. Firefox 3 is fine.
I inserted the diff from r5457 and r5460 into 1.1.2.
It enabled caching, but changing the project is impossible in IE6 on page: bug_report_advanced_page.php.
I changed the
         session_cache_limiter( 'private_no_expire' );
to
        session_cache_limiter( '' );
Now it works fine.
edit: after restart of IE6 caching is lost again, so no luck :-(

User avatar (0018956)
jreese (administrator)
2008-07-31 08:57

polzin: no ETA that I know of, but I'd like to see it hit soon...

GESHH: I only have access to Linux machines, so I've tested on Opera and Firefox 3. I'll get IEs4Linux set back up on my workstation and see what I can figure out...
User avatar (0018961)
jreese (administrator)
2008-07-31 13:20

GESHH: I've set up IE6 through Wine on Linux, but I cannot reproduce your problem. I can change the project from the report page just fine, and caching works. Can you try with the latest rode from SVN, clearing your history/cache in IE, and see if you still have troubles?
User avatar (0019089)
polzin (reporter)
2008-08-07 13:45

I tested with the two patches and the current PATCHES_1_1 SVN (rv5503), with win firefox 3.0 and with linux firefox 1.5.
In all combinations it did not work:

View Issues -> Use drop down menu to change the project -> Releasing the drop down menu triggers the reload -> Project has not changed.

The very first time at a page, it appeared the I could change the project once. But any further change did not work.
User avatar (0019155)
ghohm (reporter)
2008-08-14 09:58
edited on: 2008-08-14 09:59

Someone working on it?!

User avatar (0019157)
djcarr (reporter)
2008-08-14 19:32

Just another confirmation of seeing the original "loss of all data when going back to Report a Problem screen" issue on 1.1.2 (after upgrading from 1.1.1). FF3 on WinXPSP2
User avatar (0019164)
ghohm (reporter)
2008-08-15 05:45

DJCARR I fixed this data caching problem, with this 2 fixes:

http://mantisbt.svn.sourceforge.net/viewvc/mantisbt/trunk/mantisbt/core/session_api.php?r1=5458&r2=5457&pathrev=5458 [^]

http://mantisbt.svn.sourceforge.net/viewvc/mantisbt/trunk/mantisbt/core.php?r1=5461&r2=5460&pathrev=5461 [^]


I didn't apply this one because our users use only ie6 (I know ... it's bad! ;-):

http://mantisbt.svn.sourceforge.net/viewvc/mantisbt?view=rev&revision=5459 [^]


I hope this help!
User avatar (0019218)
hans (reporter)
2008-08-25 08:56

Another confirmation from me. I also have totall loss of data when going back to Report a Problem screen" issue on 1.1.2

@ghohm: I was unable to fix this bug with the patches your mentioned.

I wrote a different patch:
http://www.mantisbt.org/bugs/file_download.php?file_id=1962&type=bug [^]
And added this file to this bug rapport.

This patch adds Javascript notifications when required fields are missing. This way, you do not have to trust the browser back history.
User avatar (0019231)
ghohm (reporter)
2008-08-26 06:08

Freaky!

Just in case ...

My Mantis configuration:
  • Apache 2.0.63

  • PHP 4.4.7

  • MySQL 5.0.51a


Our users use Internet Explorer 6.0.2900.2180 and I use Firefox 3.0.1 in testing.
User avatar (0019278)
polzin (reporter)
2008-09-01 12:06

@hans: The javascript patch is a good idea! Why enter a new page to ask the user to go back? :-)

Unfortunately, it does not work for
 * Other forms (e.g. if "resolve issue" requires a "fixed in version")
 * Custom validation inserted by custom_function_override_issue_update_validate

This would need an AJAX-like query, if the form was okay. Cool, but I guess to difficult.
User avatar (0019328)
MPA (reporter)
2008-09-07 16:30

Can anyone tell me which program I have to use to install or use the patch file?
Thanks in advance.
User avatar (0019330)
hans (reporter)
2008-09-08 04:02

@polzin: True, it doesn't work for other forms and custom validations. It even doesn't work for the advanced issue rapport page, and for custom fields. I have made another patch for the advanced issue rapport page. It suits for my situation. Everyone can use my submitted patch to make it work for their situation.

Perhaps I could make another patch wich will work for simple and advanced rapport page. To support custom fields shoudln't be too big a problem. I can check in $t_related_custom_field_ids for $t_def['require_report'], and place a valid check according to the fieldtype.

I have to look into other forms and custom calidations to know if ajax is required or not. Perhaps when I have spare time at home ;-)
User avatar (0019437)
polzin (reporter)
2008-09-24 09:16
edited on: 2008-09-24 09:18

@jreese: Please raise priority of this issue, as it is still not solved.

The suggested patches and the 1_1_0 BRANCH -r 5584 in SVN have all the same bug: Selecting a different project does not work. (See my note 0009323:0019089).

I would even be happy with a workaround that removes the session handling completely.

User avatar (0019438)
jreese (administrator)
2008-09-24 10:00

This has been completely fixed in 1.1.x and 1.2.x, with appropriate caching now implemented for all major browsers. Appropriate SVN commits: r5584 and r5587 for 1.1.x, and r5585 and r5586 for trunk 1.2.x. This is tested against IE6, IE7, IE8, Firefox 3.0, and Opera 9.5.

Please check out the latest from BRANCH_1_1_0 or trunk to get the fixes.

@polzin, removal of sessions is not an option, as they are required to secure against Cross-Site Request Forgery attacks.
User avatar (0019444)
polzin (reporter)
2008-09-24 12:08

I checked with 1.1 -r 5587 and selecting a project still does not work. (firefox 3.0.1 Windows) (It works with IE6).
User avatar (0019446)
jreese (administrator)
2008-09-24 13:53

I don't see this issue when using FF 3.0.1 on Linux. I can go to the Report Issue page, and try changing projects, and it works perfectly fine. Have you tried clearing your history and cache, and then trying again?
User avatar (0019455)
ghohm (reporter)
2008-09-25 09:16

In 1.1.x, there is only core.php to change?

http://mantisbt.svn.sourceforge.net/viewvc/mantisbt/branches/BRANCH_1_1_0/mantisbt/core.php?r1=5587&r2=5586&pathrev=5587 [^]
User avatar (0019456)
jreese (administrator)
2008-09-25 09:25

@ghohm, assuming you've already applied the previous patches mentioned earlier in the bug report, yes, you should only need to apply the latest fixes to core.php.
User avatar (0019460)
monotek (reporter)
2008-09-25 12:43

So you only need session_api.php & core.php from cvs?
User avatar (0019461)
jreese (administrator)
2008-09-25 12:52

@monotek, from SVN BRANCH_1_1_0, yes. CVS is long out of date.
User avatar (0019462)
monotek (reporter)
2008-09-25 13:02

thats what i meant ;-)

thanks.
User avatar (0019487)
jreese (administrator)
2008-10-02 11:09

Re-closing.
User avatar (0019551)
polzin (reporter)
2008-10-14 10:12

I am very sorry: The note:19089 problem was due to a local config_inc g_bypass_headers=ON.

Thus, everything is fixed with -r 5584.

(With -r 5666 I get a "Invalid form security token. Did you submit the form twice by accident?" but this is probably a different issue that will be solved until 1.1.3 will be released.)

- Related Changesets
MantisBT: master-1.1.x fab2a761
Timestamp: 2008-07-30 11:59:11
Author: jreese
Details ] Diff ]
Fix 0009323: PHP sessions prevented browser caching.

git-svn-id: http://mantisbt.svn.sourceforge.net/svnroot/mantisbt/branches/BRANCH_1_1_0@5457 [^] /?p=mantisbt.git;a=object;h=f5dc347c-c33d-0410-90a0-b07cc1902cb9
mod - core/session_api.php Diff ] File ]
MantisBT: master 70cac855
Timestamp: 2008-07-30 12:00:15
Author: jreese
Details ] Diff ]
Fix 0009323: PHP sessions prevented browser caching.

git-svn-id: http://mantisbt.svn.sourceforge.net/svnroot/mantisbt/trunk@5458 [^] /?p=mantisbt.git;a=object;h=f5dc347c-c33d-0410-90a0-b07cc1902cb9
mod - core/session_api.php Diff ] File ]
MantisBT: master-1.1.x 50b84696
Timestamp: 2008-09-23 23:14:02
Author: jreese
Details ] Diff ]
Fix bug 0009323: form contents not cached in Internet Explorer

git-svn-id: http://mantisbt.svn.sourceforge.net/svnroot/mantisbt/branches/BRANCH_1_1_0@5584 [^] /?p=mantisbt.git;a=object;h=f5dc347c-c33d-0410-90a0-b07cc1902cb9
mod - core.php Diff ] File ]
MantisBT: master 1b9050b2
Timestamp: 2008-09-23 23:17:49
Author: jreese
Details ] Diff ]
Fix bug 0009323: form contents not cached in Internet Explorer

git-svn-id: http://mantisbt.svn.sourceforge.net/svnroot/mantisbt/trunk@5585 [^] /?p=mantisbt.git;a=object;h=f5dc347c-c33d-0410-90a0-b07cc1902cb9
mod - core.php Diff ] File ]
MantisBT: master c6821f71
Timestamp: 2008-11-13 18:39:49
Author: jreese
Details ] Diff ]
Fix 0009754 by reverting part of issue 0009323: IE6/7 cache too much cousing 2800 errors.
mod - core.php Diff ] File ]
MantisBT: master-1.1.x 4ee424e1
Timestamp: 2008-11-13 18:39:49
Author: jreese
Details ] Diff ]
Fix 0009754 by reverting part of issue 0009323: IE6/7 cache too much cousing 2800 errors.
mod - core.php Diff ] File ]
MantisBT: master 14d3d357
Timestamp: 2008-11-24 14:11:42
Author: jreese
Details ] Diff ]
Revert /?p=mantisbt.git;a=object;h=c6821f71, fix 0009754, 0009869, 0009323 by adding Last-Modified headers to match Expires.

Commit has been tested on:
 FF 2.0.14
 FF 3.0.4
 IE 8.0.6001.18241
 IE 6.0.2900.5122
 GC 0.4.154.23
 Opera 9.51.10081
mod - core.php Diff ] File ]
MantisBT: master-1.1.x 161a677e
Timestamp: 2008-11-24 14:11:42
Author: jreese
Details ] Diff ]
Revert /?p=mantisbt.git;a=object;h=4ee424e1, fix 0009754, 0009869, 0009323 by adding Last-Modified headers to match Expires.

Commit has been tested on:
 FF 2.0.14
 FF 3.0.4
 IE 8.0.6001.18241
 IE 6.0.2900.5122
 GC 0.4.154.23
 Opera 9.51.10081
mod - core.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2008-07-01 06:04 polzin New Issue
2008-07-01 06:04 polzin File Added: session.patch
2008-07-01 06:49 polzin Note Added: 0018256
2008-07-01 06:55 polzin Note Added: 0018257
2008-07-01 07:22 polzin Note Added: 0018258
2008-07-01 15:51 jreese Status new => assigned
2008-07-01 15:51 jreese Assigned To => jreese
2008-07-01 17:06 ryandesign Note Added: 0018264
2008-07-05 18:18 vboctor Tag Attached: patch
2008-07-08 08:20 jreese Target Version => 1.1.x
2008-07-08 09:42 polzin Note Added: 0018342
2008-07-08 10:36 jreese Note Added: 0018343
2008-07-09 04:09 ryandesign Relationship added has duplicate 0009366
2008-07-24 03:03 baamster Note Added: 0018655
2008-07-28 17:55 Marnix Sponsorship Added Marnix: US$ 50
2008-07-28 17:55 Marnix Sponsorship Total => 50
2008-07-28 17:57 Marnix Note Added: 0018882
2008-07-30 07:31 jreese Relationship added has duplicate 0006736
2008-07-30 08:41 jreese Note Added: 0018919
2008-07-30 08:41 jreese Status @0@ => resolved
2008-07-30 08:41 jreese Fixed in Version => 1.1.3
2008-07-30 08:41 jreese Resolution @0@ => fixed
2008-07-30 09:24 polzin Note Added: 0018924
2008-07-31 04:58 GESHH Note Added: 0018950
2008-07-31 05:17 GESHH Note Edited: 0018950
2008-07-31 08:57 jreese Note Added: 0018956
2008-07-31 08:57 jreese Status @0@ => feedback
2008-07-31 08:57 jreese Resolution @0@ => reopened
2008-07-31 08:57 jreese Status feedback => assigned
2008-07-31 13:20 jreese Note Added: 0018961
2008-07-31 13:20 jreese Status assigned => feedback
2008-08-05 10:33 jreese Target Version 1.1.x => 1.1.3
2008-08-07 13:45 polzin Note Added: 0019089
2008-08-14 09:58 ghohm Note Added: 0019155
2008-08-14 09:59 ghohm Note Edited: 0019155
2008-08-14 19:32 djcarr Note Added: 0019157
2008-08-15 05:45 ghohm Note Added: 0019164
2008-08-25 08:56 hans File Added: bug_report_page.patch
2008-08-25 08:56 hans Note Added: 0019218
2008-08-25 09:28 jreese Relationship added related to 0009569
2008-08-26 06:08 ghohm Note Added: 0019231
2008-08-28 09:53 jreese Relationship added related to 0009576
2008-09-01 12:06 polzin Note Added: 0019278
2008-09-07 16:30 MPA Note Added: 0019328
2008-09-08 04:02 hans Note Added: 0019330
2008-09-15 02:20 ryandesign Relationship added has duplicate 0009631
2008-09-15 08:27 jreese Relationship added has duplicate 0009554
2008-09-23 11:34 ryandesign Relationship added has duplicate 0009655
2008-09-24 09:16 polzin Note Added: 0019437
2008-09-24 09:16 polzin Note Edited: 0019437
2008-09-24 09:18 polzin Note Edited: 0019437
2008-09-24 10:00 jreese Note Added: 0019438
2008-09-24 10:00 jreese Status feedback => resolved
2008-09-24 10:00 jreese Resolution reopened => fixed
2008-09-24 12:08 polzin Note Added: 0019444
2008-09-24 12:08 polzin Status resolved => feedback
2008-09-24 12:08 polzin Resolution fixed => reopened
2008-09-24 13:53 jreese Note Added: 0019446
2008-09-25 09:16 ghohm Note Added: 0019455
2008-09-25 09:25 jreese Note Added: 0019456
2008-09-25 12:43 monotek Note Added: 0019460
2008-09-25 12:52 jreese Note Added: 0019461
2008-09-25 13:02 monotek Note Added: 0019462
2008-10-02 11:09 jreese Note Added: 0019487
2008-10-02 11:09 jreese Status feedback => resolved
2008-10-02 11:09 jreese Resolution reopened => fixed
2008-10-03 21:16 jreese Relationship replaced has duplicate 0009569
2008-10-14 06:49 giallu Relationship added has duplicate 0009689
2008-10-14 10:12 polzin Note Added: 0019551
2008-10-18 18:32 giallu Status resolved => closed
2008-10-20 16:46 Changeset attached master 72dc5c82 =>
2008-10-20 16:48 Changeset attached master 79f088d6 =>
2008-10-20 20:19 Changeset attached master-1.1.x bde8c9c3 =>
2008-10-20 20:19 Changeset attached master-1.1.x 22f0615f =>
2008-10-22 08:43 jreese Relationship added has duplicate 0009729
2008-11-11 08:32 jreese Changeset attached master 1b9050b2 =>
2008-11-11 08:32 jreese Changeset attached master 70cac855 =>
2008-11-11 08:45 jreese Changeset attached master 1b9050b2 =>
2008-11-11 08:46 jreese Changeset attached master 70cac855 =>
2008-11-11 09:03 jreese Changeset attached master-1.1.x 50b84696 =>
2008-11-11 09:03 jreese Changeset attached master-1.1.x fab2a761 =>
2008-11-13 13:50 jreese Changeset attached master c6821f71 =>
2008-11-13 14:00 jreese Changeset attached master-1.1.x 4ee424e1 =>
2008-11-13 14:03 jreese Relationship added related to 0009813
2008-11-24 09:20 jreese Changeset attached master 14d3d357 =>
2008-11-24 09:20 jreese Changeset attached master-1.1.x 161a677e =>
2008-12-08 23:27 jreese Relationship added has duplicate 0008161
2011-11-02 11:06 dregad Relationship added related to 0012492
2013-11-02 04:45 atrol Relationship added related to 0016570


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.2041 seconds.
memory usage: 3,511 KB
Powered by Mantis Bugtracker